### Method

# Gtk.Window.get_transient_for

#### Declaration [src]

    GtkWindow*
    gtk_window_get_transient_for (
      GtkWindow* window
    )

#### Description [src]

Fetches the transient parent for this window.

Gets property | `Gtk.Window:transient-for`

#### Return value

Returns: `GtkWindow`
the transient parent for this window, or `NULL` if no transient parent has been set.
Ownership is not transferred to the caller
Can be `NULL`